<!DOCTYPE html>
<html lang="pt-BR">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Dev Finances</title>

    <link rel="preconnect" href="https://fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css2?family=Poppins:wght@100;400;700&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="styles.css">
    <script src="scrpts.js"></script>
    
</head>

<body>

    <header>
        <img src="assets/logo.svg" alt="logo">
    </header>
    <main class="container">
        <section class="balance">
            <h2 class="sr-only">Balanço</h2>
            <div class="card">
                <h3><span>Entradas</span><img src="assets/income.svg" alt=""></h3>
                <p>R$ 5.000,00</p>
            </div>
            <div class="card">
                <h3><span>Saídas</span><img src="assets/expense.svg" alt=""></h3>
                <p>R$ 2.000,00</p>
            </div>
            <div class="card total">
                <h3><span>Total</span><img src="assets/total.svg" alt=""></h3>
                <p>R$ 3.000,00</p>
            </div>
        </section>

        <section class="transactions">
            <h2 class="sr-only">Transações</h2>

            <a href="#" class="button new" onclick="Modal.open();">+ Nova Transações</a>

            <table class="data-table">
                <thead>
                    <tr>
                        <th>Descrição</th>
                        <th>Valor</th>
                        <th>Data</th>
                        <th></th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td class="description">Luz</td>
                        <td class="expense">R$ -200,00</td>
                        <td class="date">12/12/2020</td>
                        <td><img src="assets/minus.svg" alt="Remover transação"></td>
                    </tr>
                    <tr>
                        <td class="description">Criação do site</td>
                        <td class="income">R$ 5.000,00</td>
                        <td class="date">12/12/2020</td>
                        <td><img src="assets/minus.svg" alt="Remover transação"></td>
                    </tr>
                    <tr>
                        <td class="description">Internet</td>
                        <td class="expense">R$ -100,00</td>
                        <td class="date">12/12/2020</td>
                        <td><img src="assets/minus.svg" alt="Remover transação"></td>
                    </tr>
                </tbody>
            </table>
        </section>

        <div id='modal' class="modal-overlay">
            <div class="modal">
                <form action="#">
                    <fieldset class="inputs">
                        <legend>Nova Transação</legend>
                        <label class="sr-only" for="description">Descrição</label>
                        <input type="text" id="description" name="description" placeholder="descrição"/>

                        <label class="sr-only" for="amount">Valor</label>
                        <input type="number" step=".01" id="amount" name="amount" placeholder="amount"/>

                        <label class="sr-only" for="date">Data</label>
                        <input type="date" id="date" name="date" placeholder="01/01/2021"/>
                    </fieldset>
                    <fieldset class="actions">
                        <button type="reset" class="button-cancel" onclick="Modal.close();">Cancelar</a>
                        <button type="submit" class="button-submit">Salvar</button>
                    </fieldset>
                </form>
            </div>
        </div>
    </main>

    <footer>
        <p>Dev Finances</p>
    </footer>
</body>

</html>